Skip to main content
POST
/
v1
/
workflows
/
{workflowID}
/
dry-run
Dry-run a workflow
curl --request POST \
  --url https://api.strait.dev/v1/workflows/{workflowID}/dry-run \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "steps": [
    {
      "step_ref": "<string>",
      "approval_approvers": [
        "<string>"
      ],
      "approval_timeout_secs": 123,
      "compensation_job_id": "<string>",
      "compensation_timeout_secs": 123,
      "concurrency_key": "<string>",
      "condition": "<unknown>",
      "depends_on": [
        "<string>"
      ],
      "event_emit_key": "<string>",
      "event_key": "<string>",
      "event_notify_url": "<string>",
      "event_timeout_secs": 123,
      "expected_duration_secs": 123,
      "job_id": "<string>",
      "max_nesting_depth": 123,
      "on_failure": "<string>",
      "output_transform": "<string>",
      "payload": "<unknown>",
      "resource_class": "<string>",
      "retry_backoff": "<string>",
      "retry_initial_delay_secs": 123,
      "retry_max_attempts": 123,
      "retry_max_delay_secs": 123,
      "sleep_duration_secs": 123,
      "stage_notifications": "<unknown>",
      "step_type": "<string>",
      "sub_workflow_id": "<string>",
      "timeout_secs_override": 123
    }
  ]
}
'
{
  "$schema": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

workflowID
string
required

Body

application/json
steps
object[] | null
required

Response

OK